<?php
namespace MageWorx\ShippingRules\Block\Adminhtml\Shippingrules\Quote\Edit\Tab\Actions;

/**
 * Interceptor class for @see \MageWorx\ShippingRules\Block\Adminhtml\Shippingrules\Quote\Edit\Tab\Actions
 */
class Interceptor extends \MageWorx\ShippingRules\Block\Adminhtml\Shippingrules\Quote\Edit\Tab\Actions implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\Block\Template\Context $context, \Magento\Framework\Registry $registry, \Magento\Framework\Data\FormFactory $formFactory, \Magento\Backend\Block\Widget\Form\Renderer\Fieldset $rendererFieldset, \MageWorx\ShippingRules\Model\Config\Source\Shipping\Methods $config, \Magento\Framework\Convert\DataObject $objectConverter, \MageWorx\ShippingRules\Model\Config\Source\Shipping\ExtendedActions $shippingActionsConfig, \Magento\Config\Model\Config\Source\Yesno $yesno, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $registry, $formFactory, $rendererFieldset, $config, $objectConverter, $shippingActionsConfig, $yesno, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getForm()
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getForm');
        return $pluginInfo ? $this->___callPlugins('getForm', func_get_args(), $pluginInfo) : parent::getForm();
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
